﻿@model Web.Models.StudentModels.StudentEditModel;
@*Add form*@



<div class="bg-light text-center">
    @using (Html.BeginForm("EditStudent", "Student", FormMethod.Post, new { enctype = "multipart/form-data" }))
    {
        <h3>Edit group</h3>
        @Html.HiddenFor(model => model.Id)
        ;
        @Html.HiddenFor(model => model.GroupId)
        ;
        <div class="mb-3 mt-3">
            @Html.LabelFor(model => model.FirstName,null,new { htmlAttributes = new { @class = "form-label" } })
            @Html.EditorFor(model => model.FirstName,new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.FirstName)
        </div>
        <div class="mb-3 ">
            @Html.LabelFor(model => model.LastName,null,new { htmlAttributes = new { @class = "form-label" } })
            @Html.EditorFor(model => model.LastName,new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.LastName)
        </div>
        <div class="mb-3">
            @Html.LabelFor(model => model.Age,null,new { htmlAttributes = new { @class = "form-label" } })
            @Html.EditorFor(model => model.Age,new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Age)
        </div>
        <div class="mb-3">
            @Html.LabelFor(model => model.FormFile,null,new { htmlAttributes = new { @class = "form-label" }})
            @Html.EditorFor(model => model.FormFile,new { htmlAttributes = new { @class = "form-control", @accept = ".jpg,.jpeg,.png"  }})
        </div>


        <button type="submit" class="btn btn-primary">Send</button>
    }

</div>

@await Html.PartialAsync("_ValidationScriptsPartial")